image: python:3.9

cache:
  paths:
    - ~/.cache/pip
    - ~/.platformio/.cache

stages:
  - test

before_script:
  - "pip install -U platformio"

job:
  stage: test
  script: "pio run -d blinky -e uno -e seeed_xiao_esp32c3"
  artifacts:
    paths:
      - blinky/.pio/build/seeed_xiao_esp32c3/firmware.bin
      - blinky/.pio/build/seeed_xiao_esp32c3/bootloader.bin
      - blinky/.pio/build/seeed_xiao_esp32c3/partitions.bin
      - $HOME/.platformio/packages/framework-arduinoespressif32/tools/partitions/boot_app0.bin
      - blinky/.pio/build/uno/firmware.hex
    expire_in: 3 hrs
